%global momorel 2
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdesdk
Version: %{kdever}
Release: %{momorel}m
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 82808f2780ae970fb38d44512ff9e2f3
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 82808f2780ae970fb38d44512ff9e2f3
Summary: The KDE Software Development Kit (SDK)
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Obsoletes: kbabel ktranslator kless
Requires: kdelibs >= %{kdever}, gimp >= 1.3
BuildPrereq: kdelibs-devel >= %{kdever}, libpng >= 1.2.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Excludearch: sparc
BuildPrereq: rpm >= 4.0.4-6k

%description
A collection of applications and tools used by KDE developers.
This package is including

  cervisia: CVS client part
  kbabel: an editor for *.po files
  kbugbuster: a graphical frontend for the KDE bug reporting system
  kcachegrind: optimize your applications beautifully using cachegrind
  kompare: a program to view the differences between files
  umbrello: a UML modelling tool for KDE

etc.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (headers) for %{name}

%prep
%setup -q -n %{name}-%{version}

%build
FLAGS="%{optflags} -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

export QTDIR=%{qtdir} KDEDIR=%{kdedir}
./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} \
    --mandir=%{_mandir} \
    --enable-final
%make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 

## Remove dupes from kdeartwork
#rm -f %{buildroot}/usr/share/icons/locolor/16x16/apps/kbabel.png
#rm -f %{buildroot}/usr/share/icons/locolor/32x32/apps/kbabel.png

## Remove dupes from kdevelop
#rm -f %{buildroot}/usr/bin/extractrc

# Install stuff that doesn't get installed by make install
mkdir -p %{buildroot}%{_datadir}/gimp/1.3/palettes
install -c -m 644 kdepalettes/KDE_Gimp %{buildroot}%{_datadir}/gimp/1.3/palettes

# make symlinks relative
(
  mkdir -p %{buildroot}%{_prefix}/share/doc/HTML/en/common
  cd %{buildroot}%{_prefix}/share/doc/HTML/en
  for i in *; do
    if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
    fi
  done
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/applications/kde/*
%{_datadir}/apps/catalogmanager
%{_datadir}/apps/cervisia
%{_datadir}/apps/cervisiapart
%{_datadir}/apps/kabc/formats/*
%{_datadir}/apps/kapptemplate
%{_datadir}/apps/kbabel
%{_datadir}/apps/kbugbuster
%{_datadir}/apps/kcachegrind
%{_datadir}/apps/kconf_update 
%{_datadir}/apps/kompare
%{_datadir}/apps/komparepart
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/kuiviewer
%{_datadir}/apps/kuiviewerpart
%{_datadir}/apps/umbrello
%{_datadir}/doc/HTML/en/*
%{_datadir}/gimp/1.3/palettes/KDE_Gimp
%{_datadir}/icons/*/*/*/*
%{_datadir}/man/man1/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

# kmtrace does no longer compile with glibc 2.3.x or newer

%files devel
%defattr(-,root,root)
# kmtrace does no longer compile with glibc 2.3.x or newer
%{_includedir}/*

%changelog
* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- not use %%makeinstall

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     kbabel: Splash screen can be clicked and does not cover error messages anymore.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- add --disable-warnings to configure
- remove %%{_prefix}/lib/*.a, %{_prefix}/share/apps/kmtrace, %{_prefix}/share/apps/kmtrace/* from %%files devel
    not compiled with glibc 2.3.x or newer

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to kde-3.1.1
    Cervisia: 
      Fixed line break in protocol view
      Fixed timestamp for files that are not in cvs (#55053)
      Fixed handling of Cervisia's options like 'Update Recursively' when run as embedded part in konqueror (#55665)
 
* Wed Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.0.0-4k)

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
